<?php
require_once (dirname(__file__).'/header.php');
$gltr_stale_size = 0;
$gltr_cache_size = 0;
$gltr_cached_files_num = 0;
$gltr_stale_files_num = 0;
$showstats = false;
if (isset($_POST['gltr_stats']) && 'show' == $_POST['gltr_stats']){
    gltr_init_info();
    $showstats = true;
} 

function gltr_files_stats($dir,$exclusions=""){
  //gltr_debug("====>CALC: $dir");
	$res = array("num"=>0,"size"=>0);
  if (file_exists($dir) && is_dir($dir) && is_readable($dir)) {
  	$files = glob($dir . '/*');
    if (is_array($files)){
      foreach($files as $path){
          if ($exclusions != "" && strpos($path,$exclusions)!==false) {
            //gltr_debug("$dir: EXCLUDING====>$item");
          	continue;
    }
          if (is_dir($path)){
          	//gltr_debug("====>Found dir: $path");
          	$rres = gltr_files_stats($path, $exclusions);
            $res["size"] += $rres["size"];
            $res["num"] += $rres["num"];
          }else if (file_exists($path) && is_file($path))
            $res["size"] += filesize($path);
            $res["num"]++;
  }
      
      }
    }
  return $res;
  }

function gltr_init_info(){
	global $gltr_stale_size;
	global $gltr_cache_size;
	global $gltr_cached_files_num;
	global $gltr_stale_files_num;
	global $gltr_cache_dir;
	global $gltr_stale_dir;
	
	//cachedir
  $res_cache = gltr_files_stats($gltr_cache_dir, "stale");
  $gltr_cache_size = $res_cache["size"];
  $gltr_cached_files_num = $res_cache["num"];
  //staledir
  $res_cache = gltr_files_stats($gltr_stale_dir);
  $gltr_stale_size = $res_cache["size"];
  $gltr_stale_files_num = $res_cache["num"];
  
}



function gltr_get_last_cached_file_time(){
	$res = -1;
  $last_connection_time = get_option("gltr_last_connection_time");
  if ($last_connection_time > 0){
	  $now = time();
	  $res = $now - $last_connection_time;
  }
	return $res;
}

load_plugin_textdomain('gltr'); // NLS

$location = get_option('siteurl') . '/wp-admin/admin.php?page=ip-global-translator/options-translator.php'; // Form Action URI
	
$diff_time = gltr_get_last_cached_file_time();

/*check form submission and update options*/

if (isset($_POST['stage'])){
	//submitting something
	$gltr_base_lang 						= $_POST['gltr_base_lang'];
	$gltr_col_num 							= $_POST['gltr_col_num'];
	$gltr_html_bar_tag 					= $_POST['gltr_html_bar_tag'];
	$gltr_my_translation_engine = $_POST['gltr_my_translation_engine'];
	$gltr_conn_interval 				= $_POST['gltr_conn_interval'];
	$gltr_cache_expire_time 		= $_POST['gltr_cache_expire_time'];

	if (isset($_POST['gltr_preferred_languages']))
		$gltr_preferred_languages = $_POST['gltr_preferred_languages'];
	
	if(isset($_POST['gltr_enable_debug'])) 
		$gltr_enable_debug = true; 
	else 
		$gltr_enable_debug = false;

	if(isset($_POST['gltr_ban_prevention'])) 
		$gltr_ban_prevention = true; 
	else 
		$gltr_ban_prevention = false;
	
	if(isset($_POST['gltr_sitemap_integration'])) 
		$gltr_sitemap_integration = true; 
	else 
		$gltr_sitemap_integration = false;
	
	if(isset($_POST['gltr_compress_cache'])) 
		$gltr_compress_cache = true; 
	else 
		$gltr_compress_cache = false;
	
  if(isset($_POST['gltr_use_302'])) 
    $gltr_use_302 = true; 
  else 
    $gltr_use_302 = false;	
	
	if ('change' == $_POST['stage']) {
		//recalculate some things
		$gltr_my_translation_engine = $_POST['gltr_my_translation_engine'];
		$gltr_preferred_languages = get_option('gltr_preferred_languages');
	} else if ('process' == $_POST['stage']){
	  if(!empty($_POST["gltr_erase_cache"])) {
	  	/* deactivated!
	  	//Erase cache button pressed
  	  $cachedir = $gltr_cache_dir;
	    if (file_exists($cachedir) && is_dir($cachedir) && is_readable($cachedir)) {
	      $handle = opendir($cachedir);
	      while (FALSE !== ($item = readdir($handle))) {
	        if($item != '.' && $item != '..' && !is_dir($item)) {
	          $path = $cachedir.'/'.$item;
	          if (file_exists($path) && is_file($path))
	          	unlink($path);
	        }
	      }
	      closedir($handle);
	      $message = "Cache dirs successfully erased.";
	    } else {
	      //$message = "Unable to erase cache or cache dir '$cachedir' doesn't exist.";
	      //break;
	    }
		  */
	  } else {
	  	//update options button pressed

      $iserror = false;
	    if (count ($gltr_preferred_languages) == 0) {
	      $message .= "Error: you must choose almost one of the available translations.";
	      $iserror = true;
	    }
	    
	    if(!$iserror) {
        if (file_exists($gltr_merged_image) && is_file($gltr_merged_image))
          unlink($gltr_merged_image);
	      update_option('gltr_base_lang', $_POST['gltr_base_lang']);
	      update_option('gltr_col_num', $_POST['gltr_col_num']);
	      update_option('gltr_html_bar_tag', $_POST['gltr_html_bar_tag']);
	      update_option('gltr_my_translation_engine', $_POST['gltr_my_translation_engine']);
	      update_option('gltr_preferred_languages', array());
	      update_option('gltr_preferred_languages', $_POST['gltr_preferred_languages']);
				update_option("gltr_last_connection_time",time());
				update_option("gltr_translation_status","unknown");
	      $diff_time = -1;

	      $conn_int = $_POST['gltr_conn_interval'];
	      if (!is_numeric($conn_int))$conn_int = 300;
	      update_option('gltr_conn_interval', $conn_int);
				$gltr_conn_interval = $conn_int;
				
	      $exp_time = $_POST['gltr_cache_expire_time'];
	      if (!is_numeric($exp_time))$exp_time = 30;
	      update_option('gltr_cache_expire_time', $exp_time);
				$gltr_cache_expire_time = $exp_time;
				
	
	      if(isset($_POST['gltr_ban_prevention']))
	        update_option('gltr_ban_prevention', true);
	      else
	        update_option('gltr_ban_prevention', false);

	      if(isset($_POST['gltr_sitemap_integration']))
	        update_option('gltr_sitemap_integration', true);
	      else
	        update_option('gltr_sitemap_integration', false);

	      if(isset($_POST['gltr_compress_cache']))
	        update_option('gltr_compress_cache', true);
	      else
	        update_option('gltr_compress_cache', false);
	
	
	      if(isset($_POST['gltr_enable_debug']))
	        update_option('gltr_enable_debug', true);
	      else
	        update_option('gltr_enable_debug', false);
	          
        if(isset($_POST['gltr_use_302']))
          update_option('gltr_use_302', true);
        else
          update_option('gltr_use_302', false);
          	
				$wp_rewrite->flush_rules();
	      $message = "Настройки успешно сохранены.";
	    }
	  }
	}		
} else {
	//page loaded by menu: retrieve stored options
	$gltr_base_lang = get_option('gltr_base_lang');
	$gltr_col_num = get_option('gltr_col_num');
	$gltr_html_bar_tag = get_option('gltr_html_bar_tag');
	$gltr_my_translation_engine = get_option('gltr_my_translation_engine');
	$gltr_preferred_languages = get_option('gltr_preferred_languages');
	$gltr_ban_prevention = get_option('gltr_ban_prevention');
	$gltr_sitemap_integration = get_option('gltr_sitemap_integration');
	$gltr_compress_cache = get_option('gltr_compress_cache');
	
	$gltr_enable_debug = get_option('gltr_enable_debug');
	$gltr_conn_interval = get_option('gltr_conn_interval');
	$gltr_cache_expire_time = get_option('gltr_cache_expire_time');
	$gltr_use_302 = get_option('gltr_use_302');

	$gltr_current_engine = $gltr_available_engines[$gltr_my_translation_engine];
	$gltr_lang_matrix = $gltr_current_engine->get_languages_matrix();
	if (count($gltr_preferred_languages) == 0) {
		$i = 0;
		foreach($gltr_lang_matrix[$gltr_base_lang] as $lang_key => $lang_value){
			if ($lang_key == $gltr_base_lang) continue;
			$gltr_preferred_languages[]=$lang_key;
			$i++;
		}
		update_option('gltr_preferred_languages', $gltr_preferred_languages);
	}

  $cachedir = $gltr_cache_dir;
  
  $message = "";

  if (!is_writeable(dirname(__file__))){
    $message = "Инициализация IP-Global-Translator не завершена. Пожалуйста, установите права доступа 777 для папки:
    <ul><li>".dirname(__file__)."</li></ul>";
  } else
  if (!is_dir($cachedir) && (!is_readable(WP_CONTENT_DIR) || !is_writable(WP_CONTENT_DIR) )){
    $message = "Инициализация IP-Global-Translator не завершена. Пожалуйста, установите права доступа 777 для папки:
    <ul><li>".WP_CONTENT_DIR."</li></ul>";
  } else {
  
  if (!is_dir($cachedir)){
    if(!mkdir($cachedir, 0777)){
      $message = "Инициализация IP-Global-Translator не завершена. Пожалуйста, установите права доступа 777 для папки:
      <ul><li>".WP_CONTENT_DIR."</li></ul>";
    }
  } else if (!is_readable($cachedir) || !is_writable($cachedir) ){
    $message = "Инициализация IP-Global-Translator не завершена. Пожалуйста, установите права доступа 777 для папки:
    <ul><li>".$cachedir."</li></ul>";
  }

  if (is_dir($cachedir) && is_readable($cachedir) && is_writable($cachedir)){
    $staledir = $gltr_stale_dir;
    if (!is_dir($staledir)){
      if(!mkdir($staledir, 0777)){
        $message = "Инициализация IP-Global-Translator не завершена. Пожалуйста, установите права доступа 777 для папки:
        <ul><li>".$cachedir."</li></ul>";
      }
    } else if (!is_readable($staledir) || !is_writable($staledir) ){
      $message = "Инициализация IP-Global-Translator не завершена. Пожалуйста, установите права доступа 777 для папки:
      <ul><li>".$staledir."</li></ul>";
    }
  }
	  
	  //check files
	  /*
	  $datafiles = array();
	  foreach($datafiles as $datafile){
	  	if(!is_file($datafile)){
		    if (!gltr_create_file($datafile)){
					$message .= "Инициализация IP-Global-Translator не завершена. Пожалуйста, установите права доступа 777 для файла:
			    <ul><li>".$datafile."</li></ul><br />";  		
		    }
	  	} else if (!is_readable($datafile) || !is_writeable($datafile)){
				$message .= "Инициализация IP-Global-Translator не завершена. Пожалуйста, установите права доступа 777 для файла:
		    <ul><li>".$datafile."</li></ul><br />";  		
	  	}
	  }  
	  */
	}  
}

//foreach($gltr_preferred_languages as $key => $value){echo "$value<br>";}

 
/*Get options for form fields*/
$gltr_current_engine = $gltr_available_engines[$gltr_my_translation_engine];
$gltr_lang_matrix = $gltr_current_engine->get_languages_matrix();


function gltr_build_js_function($base_lang, $selected_item) {
	global $gltr_current_engine;
	global $gltr_lang_matrix;
?>  
<script type="text/javascript">
calculateOptions('<?php echo $base_lang ?>', <?php echo $selected_item ?>);

function languageItem(lang, flags_num){
  this.lang=lang;
  this.flags_num=flags_num;
}

function calculateOptions(lang, selectedItem) {
  var flags_num = 0;
  var list = new Array();
<?php  
  $j=0;
  foreach($gltr_lang_matrix as $key => $value){
    echo "  list[$j] = new languageItem('$key', " . count($gltr_lang_matrix[$key]) . ");\n";
    $j++;
  }
?>  
  for (z = 0; z < document.forms['form1'].gltr_col_num.options.length; z++) {
    document.forms['form1'].gltr_col_num.options[z] = null;
  }
  document.forms['form1'].gltr_col_num.options.length = 0;
  
  for (y = 0; y < list.length; y++) {
    if (list[y].lang == lang){
      flags_num = list[y].flags_num;
      break;
    }
  }
  for (i = 0; i < flags_num; i++) {
    if (i == 0) {
      opt_text='все флаги в одном ряду (по-умолчанию)';
    } else if (i == 1) {
      opt_text='1 флаг в ряду';
    } else {
      opt_text= i + ' флагов в ряду';
    }
    
    if (i == 0)
    	document.forms['form1'].gltr_col_num.options[i]=new Option(opt_text, flags_num);
    else
    document.forms['form1'].gltr_col_num.options[i]=new Option(opt_text, i);
  }
  
  //I need to cycle again on the options list in order to correctly choose the selected item
  for (i = 0; i < flags_num; i++) {
    document.forms['form1'].gltr_col_num.options[i].selected = (selectedItem == i);
  }
}

function calculateAvailableTranslations(lang, selectedItem) {
  var list = new Array();
<?php  
  $j=0;
  foreach($gltr_lang_matrix as $key => $value){
    echo "  list[$j] = new languageItem('$key', " . count($gltr_lang_matrix[$key]) . ");\n";
    $j++;
  }
?>  
  for (z = 0; z < document.forms['form1'].gltr_col_num.options.length; z++) {
    document.forms['form1'].gltr_col_num.options[z] = null;
  }
  document.forms['form1'].gltr_col_num.options.length = 0;
  
  for (y = 0; y < list.length; y++) {
    if (list[y].lang == lang){
      flags_num = list[y].flags_num;
      break;
    }
  }
  for (i = 0; i <= flags_num; i++) {
    if (i == 0) {
      opt_text='all the flags in a single row (default)';
    } else if (i == 1) {
      opt_text='1 flag for each row';
    } else {
      opt_text= i + ' flags for each row';
    }
    document.forms['form1'].gltr_col_num.options[i]=new Option(opt_text, i);
  }
  
  //I need to cycle again on the options list in order to correctly choose the selected item
  for (i = 0; i <= flags_num; i++) {
    document.forms['form1'].gltr_col_num.options[i].selected = (selectedItem == i);
  }
}
</script>
<?php
}
/*
if (gltr_is_currently_banned()){
	$message="<font color='red'>WARNING! Your blog seems to have been temporarily banned by the '".strtoupper(get_option('gltr_my_translation_engine'))."' translation engine. Try to increase the connection request interval on the \"Translation engine connection\" section.</font>";
}
*/

//Print out the message to the user, if any
if($message!="") { ?>
	
	<div class="updated"><strong><p>
<?php	echo $message; ?>
	</p></strong></div>

<?php } else { ?>
	
<?php	} ?>
			
<form name="test"></form>
<div class="wrap">
  <h2><?php _e('IP-Global-Translator ')?><?php echo($gltr_VERSION);?></h2>
  <form id="gltr_form" name="form1" method="post" action="<?php echo $location ?>">
  	<input type="hidden" name="stage" value="process" />
    <input type="hidden" name="gltr_stats" value="<?php echo(($showstats==true)?"show":"hide");?>" />
  	<fieldset class="options">
  		<h3><?php _e('Выберите сервис для перевода') ?></h3>
  		<table width="100%" cellpadding="5" class="editform">
      <tr><td>
        <label><input type="radio" onclick="document.forms['form1'].stage.value='change';document.forms['form1'].submit();" 
          <?php if($gltr_my_translation_engine==null || $gltr_my_translation_engine == 'google') {?> checked <?php } ?> name="gltr_my_translation_engine" 
            value="google">&nbsp;<?php _e('Google Translation Services') ?>
        </label>
      </td></tr>
      <tr><td>
        <label><input type="radio" onclick="document.forms['form1'].stage.value='change';document.forms['form1'].submit();" 
          <?php if($gltr_my_translation_engine == 'promt') {?> checked <?php } ?> name="gltr_my_translation_engine" 
            value="promt">&nbsp;<?php _e('Promt Online Translator') ?>
        </label>
      </td></tr>
      <tr><td>
        <label><input type="radio" onclick="document.forms['form1'].stage.value='change';document.forms['form1'].submit();" 
          <?php if($gltr_my_translation_engine == 'babelfish') {?> checked <?php } ?> name="gltr_my_translation_engine" 
            value="babelfish">&nbsp;<?php _e('Altavista Babel Fish') ?>
        </label>
      </td></tr>
      <tr><td>
        <label><input type="radio" onclick="document.forms['form1'].stage.value='change';document.forms['form1'].submit();" 
          <?php if($gltr_my_translation_engine == 'freetransl') {?> checked <?php } ?> name="gltr_my_translation_engine" 
            value="freetransl">&nbsp;<?php _e('FreeTranslator') ?>
        </label>
      </td></tr>
      </table>
    </fieldset>
    
    <fieldset class="options">
  		<h3><?php _e('Настройки перевода') ?></h3>
    		<table width="100%" cellpadding="5" class="editform"><tr><td>
          <label><?php _e('Мой блог написан на:') ?>
            <select name="gltr_base_lang" onchange="document.forms['form1'].stage.value='change';document.forms['form1'].submit();">
              <?php    
              $languages = $gltr_current_engine->get_available_languages();
              foreach($languages as $key => $value){
                if ($gltr_base_lang == $key) {
              ?>
              <option value="<?php echo $key ?>" selected ><?php echo $value ?></option>
              <?php
                } else {
              ?>
              <option value="<?php echo $key ?>"  ><?php echo $value ?></option>
              <?php
                }
              }
              ?>
            </select>
          </label>
        </td></tr>
        <tr><td><label><?php _e('Выберите, какие направления будут доступны для ваших посетителей:') ?><br/>

        </td></tr></table>


        <div>
        <ul style="list-style-image: none; list-style-position:outside; list-style-type:none;">
        <?php    
        foreach($gltr_lang_matrix as $key => $langs){
          if ($gltr_base_lang == $key) {
            $i = 0;
            foreach($langs as $lang_key => $lang_value){
              if ($gltr_base_lang == $lang_key) continue;
              $chk_val = "";
              if (count ($gltr_preferred_languages) == 0 || in_array($lang_key, $gltr_preferred_languages) ) 
                $chk_val = "checked";
              echo '<li style="float:left;width:30%;"><input type="checkbox" name="gltr_preferred_languages[' . $i . ']" ' . $chk_val . ' value="' . $lang_key . '">
              <img src="' . gltr_get_flag_image($lang_key) . '"/></td><td>' . $lang_value . '&nbsp;(<strong>'.$lang_key.'</strong>)</li>';
              $i++;
            }
          }
        }
        ?>
        </ul>
        </div>

     </fieldset>

  	<fieldset class="options">
  		<h3><?php _e('Расположение флагов') ?></h3>

  		<table width="100%" cellpadding="5" class="editform">
      <tr><td width="350">
        <label><input type="radio" <?php if($gltr_html_bar_tag == 'TABLE') {?> checked <?php } ?> name="gltr_html_bar_tag" value="TABLE">&nbsp;<?php _e('Располагать флаги в элементе TABLE:') ?>
        </label><br />
        <label><input type="radio" <?php if($gltr_html_bar_tag == 'MAP') {?> checked <?php } ?> name="gltr_html_bar_tag" value="MAP">&nbsp;<?php _e('Использовать оптимизированное расположение:') ?>
        </label>
      </td>
      <td>
          <select name="gltr_col_num"/>
      </td>
      </tr>
      <tr><td colspan=2>
        <label><input type="radio" <?php if($gltr_html_bar_tag == 'DIV') {?> checked <?php } ?> name="gltr_html_bar_tag" value="DIV">&nbsp;<?php _e('Распологать флаги в элементе DIV (оформление можно задать в style.css)') ?>
        </label>
      </td></tr>
      </table>
    </fieldset>

  	<fieldset class="options">
  		<h3><?php _e('Кэш') ?></h3>
  		<table width="100%" cellpadding="5" class="editform">
  		<tr><td>IP-Global-Translator может использовать кэширование страниц. Если не включить этот параметр, то при большой посещаемости блога в случае бана со стороны Сервиса Перевода указанного выше переводчик перестанет работать. При включенном кэше все переведенные страницы будут сохранены на вашем хостинге. Так можно гарантировать постоянный доступ к переведенным страницам.
            <br /> 
	        	При создании новых записей, обновлении или удалении существующих кэш переведенных страниц будет обновляться автоматически.
	        	<br/><br/>
	        	<?php if (function_exists('gzcompress')){?>
	        	<label><input name="gltr_compress_cache" type="checkbox" id="gltr_compress_cache"  
	        	<?php if($gltr_compress_cache == TRUE) {?> checked="checked" <?php } ?> /> Включить кэширование (страницы будут храниться на вашем хостинге, что может уменьшить объем вашего дискового пространства)</label>
						<?php } else {?>
							<input name="gltr_compress_cache" disabled="true" type="checkbox" id="gltr_compress_cache"/> Невозможно включить сжатие кэша: ZLIB не совместим с вашим PHP.</label>
						<?php }?>
	        	<br/><br/>
	        	Поставить кэшированную страницу в очередь на перевод, если она существует более 
	        		<input size="4"  maxlength="5" name="gltr_cache_expire_time" type="text" id="gltr_cache_expire_time" value="<?php echo($gltr_cache_expire_time);?>"/> дней ("0" означает "не обновлять").
	        	<br/>

	        	<h4>Статистика кэширования</h4>
            <?php if ($showstats){ 	?>
	        	<ul>
	        	<li>У вас <strong><?php echo($gltr_cached_files_num)?></strong> успешно сохраненных страниц.</li>
	        	<li><strong>Размер архива</strong>: <?php $size=round($gltr_cache_size/1024/1024,1); echo ($size);?> MB</li>
	        	<li>В очереди на перевод <strong><?php echo($gltr_stale_files_num)?></strong> страниц.</li>
	        	<li><strong>Размер архива очереди</strong>: <?php $size=round($gltr_stale_size/1024/1024,1); echo ($size);?> MB</li>
	        	</ul>
            <input type="button" onclick="
              document.forms['form1'].stage.value='change';
              document.forms['form1'].gltr_stats.value='hide';
              document.forms['form1'].submit();" 
              value="&lt;&lt;Скрыть" />
            <?php }else{ ?>
            <input type="button" onclick="
            	document.forms['form1'].stage.value='change';
              document.forms['form1'].gltr_stats.value='show';
              document.forms['form1'].submit();" 
              value="Показать &gt;&gt;" />
            <?php } ?>
            <br />
      </td></tr>
  		<tr><td>
        <label>
        
        <!-- <input type="submit"  name="gltr_erase_cache" value="<?php _e('Очистить кэш') ?> &raquo;" /> -->        
        </label>
      </td></tr>
      </table>
    </fieldset>

  	<fieldset class="options">
  		<h3><?php _e('Связь с Сервисом Перевода') ?></h3>
  		<table width="100%" cellpadding="5" class="editform">
  		<tr><td>
        <label><?php _e('Обращаться к Сервису Перевода каждые ') ?>
	        	<input size="4"  maxlength="5" name="gltr_conn_interval" type="text" id="gltr_conn_interval" value="<?php echo($gltr_conn_interval);?>"/> секунд.</label><br /><br />
	        	Это важный параметр обращения вашего блога к Сервису Перевода. При частом обращении Сервис может включить фильтр для вашего блога. В таком случае перевод страниц больше не сможет работать на вашем блоге НИКОГДА.<br />
	        	Строго рекомендуем не указывать число меньше "300" (5 минут), для блога с большой посещаемостью.<br />
	        	Если ваш блог использует IP адрес совместно с другими сайтами, то в случае попадания под фильтр Сервис Перевода будет недоступен для всех сайтов "соседей".
	        	Отключение фильтра может занять несколько дней.<br /><br />
	        	<ul>
						<?php
	        	//$diff_time = gltr_get_last_cached_file_time();

						if ($diff_time > 0){
		        	echo ("<li>Последнее подключение к Сервису Перевода был: <strong>");
	    	      if ($diff_time < 60){
				      	echo (round(($diff_time)) . " секунд назад</strong>");
	      			}else if ($diff_time > 60*60){
	      				echo (round(($diff_time)/3600) . " часов назад</strong>");
								    
		      		}else{
		      			echo (round(($diff_time)/60) . " минут назад</strong>");
		      		}
		      		/*
		      		global $gltr_last_cached_url;
		      		if (strlen($gltr_last_cached_url)>0){
		      			echo (". [<a target='_blank' href='$gltr_last_cached_url'>Посмотреть последнюю переведенную страницу</a>]");
		      		}
		      		*/
						} else {
							echo ("<li>Статус последнего подключения: <strong>нет доступа</strong>");
						}
						echo ("</li>");
						
						echo ("<li><strong>Статус перевода</strong>:");	
						$ban_status = get_option("gltr_translation_status");					
						if ($ban_status == 'banned'){
							echo("<strong><font color='red'>Ошибка или нет доступа к '".strtoupper(get_option('gltr_my_translation_engine'))."' Сервису Перевода.</font></strong> Это может означать, что:
							<ul><li>Ваш блог попал под фильтр (временно забанили): ждите отключения фильтра (может занять до нескольких дней), увеличьте временной интервал обращения к Сервису Перевода или включите другой сервис</li>
							<li>Сервис Перевода не работает: ждите или включите другой сервис</li>
							<li>Сервис Перевода изменил ссылку для перевода: ждите следующего выпуска этого плагина :-)</li>
							<li>Вы не установили код плагина в шаблон страниц или не включили виджет (при работе с виджетами)</li></font>");
						} else if ($ban_status == 'working'){
							echo("<strong><font color='green'>Работает успешно</font></strong>");
						} else {
							echo("<strong>нет доступа</strong>");
						}
						echo ("</li>");
	        	?>
	        </ul>
	        	
	        	
        
      </td></tr>
      </table>
    </fieldset>

    <fieldset class="options">
      <h3><?php _e('Настройка еще не переведенных страниц') ?></h3>
      <table width="100%" cellpadding="5" class="editform">
      <tr><td>
        <label>
        <input name="gltr_use_302" type="checkbox" id="gltr_use_302" 
            <?php if($gltr_use_302 == TRUE) {?> checked="checked" <?php } ?> />
        <?php _e('Заменить 503 Ошибку на 302 редирект для еще не переведенных страниц.<br/> <br/>
        302 редирект не вредит индексации переведенных страниц.<br/> 
        В старых версиях плагина при запросе еще не переведенных страниц выдавалась 503 Ошибка ("Сервис временно недоступен"), что негативно сказывалось на индексации сайта.') ?>
        </label>
      </td></tr>
      </table>
    </fieldset>

  	<fieldset class="options">
  		<h3><?php _e('Блокировка поисковых пауков') ?></h3>
  		<table width="100%" cellpadding="5" class="editform">
  		<tr><td>
        <label><?php _e('Включить блокировку "вредных" пауков и роботов') ?>
	        	<input name="gltr_ban_prevention" type="checkbox" id="gltr_ban_prevention"  
	        	<?php if($gltr_ban_prevention == FALSE) {?> checked="checked" <?php } ?> /></label>
	        	<br />	        	<br />
	        	При включенной опции плагин будет блокировать доступ к переведенным страницам большинству "вредных" веб-паукам.
 	          Эта функция принесет пользу для блогов с высокой посещаемостью.<br />
 	          При небольшой посещаемости можете отключить эту опцию.
        
      </td></tr>
      </table>   
    </fieldset>

  	<fieldset class="options">
  		<h3><?php _e('Интеграция с картой сайта IP-Sitemap') ?></h3>
  		<table width="100%" cellpadding="5" class="editform">
  		<tr><td>
  			<?php 
  			if (gltr_sitemap_plugin_detected()){?>
        <label>
						<?php _e('Включить интеграцию') ?>
	        	<input name="gltr_sitemap_integration" type="checkbox" id="gltr_sitemap_integration"  
	        	<?php if($gltr_sitemap_integration == TRUE) {?> checked="checked" <?php } ?> /></label>
	        	<br /><br />
	        	При включенной опции плагин автоматически добавит переведенные страницы в карту сайта, построенную плагином <strong>IP-Sitemap</strong> для WordPress.<br />
						После очередного обновления карты сайта все переведенные страницы будут автоматически добавлены в файл sitemap.xml.<br />
						Этот процесс может занят некоторое время. Также он требует больших ресурсов, что может не понравиться вашему хостеру.
        
      <?php
      } else {?>
        <label>Плагин "IP-Sitemap" не обнаружен.<br />
        	Вы можете скачать и установить плагин "<a target="_blank" href="http://www.ipmoney.info/?p=114">IP-Sitemap для WordPress</a>".
        </label>
      <?php
      }?>
      </td></tr>
      </table>
    </fieldset>
    
  	<fieldset class="options">
  		<h3><?php _e('Отладка') ?></h3>
  		<table width="100%" cellpadding="5" class="editform">
  		<tr><td>
        <label><?php _e('Включить отладку') ?>
	        	<input name="gltr_enable_debug" type="checkbox" id="gltr_enable_debug"  
	        	<?php if($gltr_enable_debug == TRUE) {?> checked="checked" <?php } ?> /><br /><br />
	        	При включенной опции все процессы плагина будут записываться в файл <strong>"debug.log"</strong> и сохранены в папке:<br/>
	        	<strong><?php echo(dirname(__file__));?></strong>.<br />
        </label>
      </td></tr>
      </table>
    </fieldset>

    <p class="submit">
      <input type="submit" name="gltr_save" value="<?php _e('Сохранить настройки') ?> &raquo;" />
    </p>
		<br /><br />
		<fieldset class="options">
			<h3><?php _e('Спасибо за использование плагина!') ?></h3>
				<strong><p><?php echo __('Скачать последнюю версию плагина Вы можете <a href="http://www.ipmoney.info/?p=116">здесь</a>! '); ?> 
					</p></strong>
		</fieldset>
  </form>
</div>

<?php
if (!is_numeric($gltr_col_num))$gltr_col_num = 0;
gltr_build_js_function($gltr_base_lang, $gltr_col_num);
?>